## org.apache.mahout.math.random
Class PoissonSampler

    java.lang.Object
      org.apache.mahout.math.function.DoubleFunction
          org.apache.mahout.math.random.AbstractSamplerFunction
              org.apache.mahout.math.random.PoissonSampler

All Implemented Interfaces:
  Sampler<Double>

    public final class PoissonSampler

extends AbstractSamplerFunction

Samples from a Poisson distribution. Should probably not be used for lambda > 1000 or so.

Constructor Summary
`PoissonSampler(double lambda)`

Method Summary
`Double` `sample()`

Methods inherited from class org.apache.mahout.math.random.AbstractSamplerFunction
`apply`

Methods inherited from class org.apache.mahout.math.function.DoubleFunction
`isDensifying`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoissonSampler

    public PoissonSampler(double lambda)

Method Detail

### sample

    public Double sample()

  Specified by:
    `sample` in interface `Sampler<Double>`
  Specified by:
    `sample` in class `AbstractSamplerFunction`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.